Subject: bug#78582: 30.1; which-key-mode overwrites custom key bindings

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 May 2025 15:07:37 +0300

> From: Alex Murray <[email-masked]>
> Date: Tue, 27 May 2025 21:09:54 +0930
> Cc: [email-masked]
> 
> Your hint about toolkit got me interested - for a bit more info on the
> emacs snap, I build emacs both with pgtk
> (https://github.com/alexmurray/emacs-snap/blob/master/snapcraft.yaml#L296)
> and without it (https://github.com/alexmurray/emacs-snap/blob/master/snapcraft.yaml#L314)
> and then bundle both inside the snap and use a script to try and
> choose the most appropriate one to use at runtime.
> 
> If I force it to use the gtk variant (ie. non-pgtk) then I can no
> longer reproduce this issue with the emacs snap. However I am able to
> reproduce it with the pgtk variant.
> 
> Could it be an issue with pgtk specifically and not the emacs snap perse?

Could be.  Would people who use PGTK please try reproducing the issue
with the recipe and report?

Po Lu, any ideas why the PGTK build could show this strange behavior?